Subject: Bug#144: Bluetooth headset switches to low quality profile on application start

From: Christoph Mathys <[email-masked]>
Date: Thu, 14 Mar 2013 09:42:07 +0100

Package: x2goclient
Version: 4.0.0.3

I use a bluetooth headset for music and voip. When I start x2goclient
on Windows 7, it forces the headset into a low-quality profile (no
session is open, just the client). This is expected to happen if an
application wants to use the microphone. I presume x2go opens audio
sources and sinks in order to forward them to a client later and so
Windows thinks it needs to switch to another profile. When I close
x2goclient again, the headset switches back to the high quality
profile.

I can disable the headsets microphone manually inside the windows
audio settings. But then, of course, I can no longer use the
microphone for voip.

It would be nice to have some kind of switch to disable x2gos audio
support completely (or to be able to select which devices are
forwarded).

As a workaround, it seems to work if I just rename pulseaudio.exe to
something else.

According to Mike Gabriel the bug should be fixed on the following branch:
http://git.ionic.de/x2goclient.git/shortlog/refs/heads/pulsefix

---

From: Mihai Moldovan <[email-masked]>
Date: Thu, 14 Mar 2013 14:51:34 +0100

> http://git.ionic.de/x2goclient.git/shortlog/refs/heads/pulsefix

That's generally true, but this branch is not up to date with x2go's master and
would not work on Win32 anyway.

http://git.ionic.de/x2goclient.git/shortlog/refs/heads/pulsemanageresd is really
the branch with most features (support for pulse on OS X and Win32, including
toggling it on and off, as well as a working ESounD emulation) but alas, even
more out of sync with current x2go's master branch.

I could merge that, but it would take some time... and building + testing stuff
on Windows is FFFFFFFFFFFFFFFFFFFUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU (not
kidding here.)

---

From: Mike Gabriel <[email-masked]>
Date: Fri, 15 Mar 2013 08:31:22 +0100

Hi Mihai,

On Do 14 Mär 2013 14:51:34 CET Mihai Moldovan wrote:

> on Windows is  
> FFFFFFFFFFFFFFFFFFFUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU (not
> kidding here.)

 From my perspective merging and rebasing against our master branch of  
x2goclient.git would be great.

However, please coordinate with Alex first (IRC?) to make really sure  
he accepts the patch once you have it.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

---

From: Sophia jasper <[email-masked]>
Date: Thu, 11 Feb 2021 12:55:13 +0000

Greetings I am  Sophia jasper. I hope we can start a relationship please reply me